#!/bin/bash

OUTPATH="/var/tmp"  

function getFile() {
  # $1 = host
  # $2 = file
  if [ ! -f "${OUTPATH}/${2}" ]; then
    echo "Downloading: ${2}"

    wget -q ${1}/${2} -O "${OUTPATH}/${2}"

    if [ $? -eq 1 ]; then
      echo "Problem"
      exit 1
    elif [ ! -s "${OUTPATH}/${2}" ]; then
      echo "File size is empty"
      exit 1
    fi
  fi
}

function install() {
  while (( "$#" )); do
    IS_INSTALLED=$(which $1)
    if [ ${?} -eq 1 ]; then
      sudo apt install $1 -y
    fi
    shift
  done
}

SUPPORT=$(lscpu|grep sse4_2)

if [ -z "${SUPPORT}" ]; then
  echo "  ERRROR ERROR ERROR ERROR ERROR ERROR ERROR ERROR ERROR ERROR ERROR ERROR"
  echo "  +======================================================================+"
  echo "  | HQPlayer cannot be installed on CPU without SSE4.2 extension support |"
  echo "  +======================================================================+"
  echo "  ERRROR ERROR ERROR ERROR ERROR ERROR ERROR ERROR ERROR ERROR ERROR ERROR"
  exit 1
fi

#apt update

HOST="https://www.signalyst.com"

HQP=$(/usr/local/bin/curl -v $HOST/consumer.html 2> /dev/null|grep "_amd64\.deb"|grep "hqplayer4desktop"|sed -e "s/.*action=\"bins\/\(.*\)\.deb\".*/\1/g")
#HQP=$(cat xy                                  |grep "_amd64\.deb"|sed -e "s/.*action=\"bins\/\(.*\)\.deb\".*/\1/g")
URL=${HOST}/bins/${HQP}.deb
# Download HQPlayer
OUTPUT="/var/tmp/${HQP}.deb"
if [ ! -f "${OUTPUT}" ]; then
  getFile "${HOST}/bins/" "${HQP}.deb"
fi

#Install
sudo apt-get update -y && \
  sudo DEBIAN_FRONTEND=noninteractive dpkg -i "${OUTPATH}/${HQP}".deb && \
  sudo apt-get install -f -y && sudo apt-get autoremove -y

if [ $? -eq 1 ]; then
  exit 1
fi

