#!/bin/sh

# https://www.spotify.com/us/download/linux/
which curl > /dev/null
if [ $? -ne 0 ]; then
  echo "Installing curl"
  apt install -y curl
fi

PUB_KEY=$(curl -sS https://www.spotify.com/au/download/linux/ |sed -ne 's/.*curl -sS \(.*gpg\).*/\1/p')
curl -sS "${PUB_KEY}" | sudo apt-key add -
dpkg -s gconf2
if [ $? -ne 0 ]; then
  apt-get purge gconf2 -y
fi

# 1. Update list of available packages
apt-get update

# 2. Make sure everything that's needed is already installed
apt-get install -f -y
if [ ! -f /etc/apt/sources.list.d/spotify.list ]; then
  # 2. Add the Spotify repository
  echo deb http://repository.spotify.com stable non-free | tee /etc/apt/sources.list.d/spotify.list
  apt-get update
fi

# 4. Install Spotify
apt-get -f -y install spotify-client

exit 0

